
package de.fzi.ipe.soboleo.server.soapwebservice;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.xml.bind.annotation.XmlSeeAlso;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.1.7-b01-
 * Generated source version: 2.1
 * 
 */
@WebService(name = "PersonService", targetNamespace = "http://soboleo.com")
@SOAPBinding(parameterStyle = SOAPBinding.ParameterStyle.BARE)
@XmlSeeAlso({
    ObjectFactory.class
})
public interface PersonService {


    /**
     * 
     * @param parameters
     * @return
     *     returns de.fzi.ipe.soboleo.server.soapwebservice.GetPersonURIForEmailResponse
     */
    @WebMethod(action = "http://soboleo.com/getPersonURIForEmail")
    @WebResult(name = "getPersonURIForEmailResponse", targetNamespace = "http://soboleo.com", partName = "parameters")
    public GetPersonURIForEmailResponse getPersonURIForEmail(
        @WebParam(name = "getPersonURIForEmailRequest", targetNamespace = "http://soboleo.com", partName = "parameters")
        GetPersonURIForEmailRequest parameters);

}
